API ReferenceS-CWT Apple Pass templates
Retrieve an Apple Pass template
GET
Retrieves an existing Apple Pass template by providing its ID.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_APPLE_PASS_TEMPLATE_RETRIEVE_STARTCREDENTIAL_COMPACT_SEMANTIC_APPLE_PASS_TEMPLATE_RETRIEVE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_APPLE_PASS_TEMPLATE_RETRIEVE_FAIL
bearerAuthheader
AuthorizationBearer <token>id*stringApple Pass template ID
Format
uuidApple Pass template retrieved
application/json- response
id?stringThis is a unique identifier for this Apple digital pass template. You will use it as the templateId when formatting a CWT credential as an Apple Pass.
passType?DigitalPassTypeDigital pass type
Value in
"apple""google"name?stringmetadata?curl -X GET "https://example.com/v2/credentials/compact-semantic/digital-pass/apple/templates/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "3812166c-ac9f-4e4e-96dd-c1336b5be378", "passType": "apple", "name": "Certificate of participation", "metadata": { "fileName": "certificate_of_participation.pkpass", "teamIdentifier": "GH5P43ABC", "passTypeIdentifier": "pass.myproject.participation.pk" }}How would you rate this page?
Retrieve all Apple Pass templates GET
Retrieves a list of all Apple Pass template available on the tenant.
Update an Apple Pass template PUT
Updates an existing Apple Pass template by providing its ID and a `.zip` file. Refer to our [Design an Apple Pass template](https://learn.mattr.global/docs/issuance/cwt-credential-templates/apple-templates) guide for more information on how to design the template and how to structure the `.zip` file.